DefaultUrlMappingInfo (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingInfo

- org.grails.web.mapping.DefaultUrlMappingInfo

-     public class DefaultUrlMappingInfo
      extends AbstractUrlMappingInfo

  Holds information established from a matched URL.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `ACTION_PREFIX` |
    `private static java.lang.String` | `CONTROLLER_PREFIX` |
    `private static java.lang.String` | `ID_PARAM` |
    `private static java.lang.String` | `ID_PREFIX` |
    `private static java.lang.String` | `METHOD_PREFIX` |
    `private static java.lang.String` | `NAMESPACE_PREFIX` |
    `private static java.lang.String` | `PLUGIN_PREFIX` |
    `private static java.lang.String` | `SETTING_GRAILS_WEB_DISABLE_MULTIPART` |
    `private static java.lang.String` | `VERSION_PREFIX` |
    `private static java.lang.String` | `VIEW_PREFIX` |
    `private java.lang.Object` | `actionName` |
    `private java.lang.Object` | `controllerName` |
    `private GrailsApplication` | `grailsApplication` |
    `private java.lang.String` | `httpMethod` |
    `private java.lang.Object` | `id` |
    `private java.lang.Object` | `namespace` |
    `private boolean` | `parsingRequest` |
    `private java.lang.Object` | `pluginName` |
    `private java.lang.Object` | `redirectInfo` |
    `private java.lang.Object` | `uri` |
    `private UrlConverter` | `urlConverter` |
    `private UrlMappingData` | `urlData` |
    `private java.lang.String` | `version` |
    `private java.lang.Object` | `viewName` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractUrlMappingInfo` | `params`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private DefaultUrlMappingInfo (java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object uri, UrlMappingData data, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, GrailsApplication grailsApplication)`
    `DefaultUrlMappingInfo (UrlMappingInfo info, java.util.Map params, GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.lang.String` | `checkDispatchAction(javax.servlet.http.HttpServletRequest request)`
    `` | `public boolean` | `equals(java.lang.Object o)`
    `` | `public java.lang.String` | `getActionName()`
    `` | `public java.lang.String` | `getControllerName()`
    `` | `public java.lang.String` | `getHttpMethod()`
    `` | `public java.lang.String` | `getId()`
    `` | `private org.springframework.web.multipart.MultipartResolver` | `getMultipartResolver()`
    `` | `public java.lang.String` | `getNamespace()`
    `` | `public java.util.Map` | `getParameters()`
    `` | `public java.lang.String` | `getPluginName()`
    `` | `public java.lang.Object` | `getRedirectInfo()`
    `` | `private org.springframework.web.multipart.MultipartHttpServletRequest` | `getResolvedRequest(javax.servlet.http.HttpServletRequest request, org.springframework.web.multipart.MultipartResolver resolver)`
    `` | `public java.lang.String` | `getURI()`
    `` | `public UrlMappingData` | `getUrlData()`
    `` | `public java.lang.String` | `getVersion()`
    `` | `public java.lang.String` | `getViewName()`
    `` | `public int` | `hashCode()`
    `` | `private boolean` | `isMultipartDisabled()`
    `` | `public boolean` | `isParsingRequest()`
    `` | `public void` | `setParsingRequest(boolean parsingRequest)`
    `` | `public java.lang.String` | `toString()`
    `` | `private java.util.Enumeration<java.lang.String>` | `tryMultipartParams(javax.servlet.http.HttpServletRequest request, java.util.Enumeration<java.lang.String> originalParams)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractUrlMappingInfo` | `compare, configure, evaluateNameForValue, evaluateNameForValue, getParams, getRedirectInfo, populateParamsForMapping, setParams`

- - ### Field Detail

    - #### private static final java.lang.String ACTION_PREFIX

    - #### private static final java.lang.String CONTROLLER_PREFIX

    - #### private static final java.lang.String ID_PARAM

    - #### private static final java.lang.String ID_PREFIX

    - #### private static final java.lang.String METHOD_PREFIX

    - #### private static final java.lang.String NAMESPACE_PREFIX

    - #### private static final java.lang.String PLUGIN_PREFIX

    - #### private static final java.lang.String SETTING_GRAILS_WEB_DISABLE_MULTIPART

    - #### private static final java.lang.String VERSION_PREFIX

    - #### private static final java.lang.String VIEW_PREFIX

    - #### private java.lang.Object actionName

    - #### private java.lang.Object controllerName

    - #### private final GrailsApplication grailsApplication

    - #### private java.lang.String httpMethod

    - #### private java.lang.Object id

    - #### private java.lang.Object namespace

    - #### private boolean parsingRequest

    - #### private java.lang.Object pluginName

    - #### private java.lang.Object redirectInfo

    - #### private java.lang.Object uri

    - #### private UrlConverter urlConverter

    - #### private UrlMappingData urlData

    - #### private java.lang.String version

    - #### private java.lang.Object viewName

  - ### Constructor Detail

    - #### @java.lang.SuppressWarnings("rawtypes") private DefaultUrlMappingInfo(java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### @java.lang.SuppressWarnings("rawtypes") public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object redirectInfo, java.lang.Object controllerName, java.lang.Object actionName, java.lang.Object namespace, java.lang.Object pluginName, java.lang.Object viewName, java.lang.String httpMethod, java.lang.String version, java.util.Map<?, ?> params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object viewName, java.util.Map params, UrlMappingData urlData, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object uri, UrlMappingData data, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(java.lang.Object uri, java.lang.String httpMethod, UrlMappingData data, GrailsApplication grailsApplication)

    - #### public DefaultUrlMappingInfo(UrlMappingInfo info, java.util.Map params, GrailsApplication grailsApplication)

  - ### Method Detail

    - #### private java.lang.String checkDispatchAction(javax.servlet.http.HttpServletRequest request)

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### public java.lang.String getActionName()

    - #### public java.lang.String getControllerName()

    - #### @java.lang.Override public java.lang.String getHttpMethod()

    - #### public java.lang.String getId()

    - #### private org.springframework.web.multipart.MultipartResolver getMultipartResolver()

    - #### public java.lang.String getNamespace()

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.Map getParameters()

    - #### public java.lang.String getPluginName()

    - #### @java.lang.Override public java.lang.Object getRedirectInfo()

    - #### private org.springframework.web.multipart.MultipartHttpServletRequest getResolvedRequest(javax.servlet.http.HttpServletRequest request, org.springframework.web.multipart.MultipartResolver resolver)

    - #### public java.lang.String getURI()

    - #### @java.lang.Override public UrlMappingData getUrlData()

    - #### @java.lang.Override public java.lang.String getVersion()

    - #### public java.lang.String getViewName()

    - #### @java.lang.Override public int hashCode()

    - #### private boolean isMultipartDisabled()

    - #### public boolean isParsingRequest()

    - #### public void setParsingRequest(boolean parsingRequest)

    - #### @java.lang.Override public java.lang.String toString()

    - #### private java.util.Enumeration<java.lang.String> tryMultipartParams(javax.servlet.http.HttpServletRequest request, java.util.Enumeration<java.lang.String> originalParams)